@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Bruno+Ace+SC&family=Josefin+Sans:wght@200;300;400;600;700&family=Poppins:wght@400;700&display=swap');

:root{
    --fundo: #1f1f1f
   
}
/* ============ GLOBAL ============= */
*{
    margin: 0;
    padding: 0;
}

/* ============ BODY ============= */

body{
    background-color: var(--fundo);
    background-image: url("../imagens/about/fundo-original-opacidade20.jpg");
    background-repeat: no-repeat;
    background-size: 200%;
    background-attachment: fixed;
    background-position: right 15%;
    font-family: 'Josefin Sans', sans-serif;;
    color: white;
}


/* ============ HEADER ============= */

header{
    font-weight: 200;
    text-transform: uppercase;
    padding: 20px;
    display: block;
    align-items: center;   
}

header nav{
    margin-top: 20px;
}

header h1{
    padding: 10px;
    font-size: 25px;
    letter-spacing: 6px;
    font-weight: 400;
    text-align: center;
    line-height: 40px;
}

/* ============ IDIOMA ============= */

.container-idioma{
    position: relative;
}
  
#formulario-idioma{
position: absolute;
left: 73%;
}

#iidioma{
background-color: #1f1f1f;
color: #fff;
font-family: 'Josefin Sans', sans-serif;
padding: 5px;
border: solid 1px#5c5c5c;
font-weight: 300;
}


/* ============ MENU ============= */

.menu-toggle{
    width: 40px;
    height: 40px;
    cursor: pointer;
}

.menu-toggle:before, .menu-toggle:after{
    content: "";
    position: absolute;
    background-color: #fff;
    width: 30px;
    height: 3px;
    transition: 1s;
}

.menu-toggle:before {
    transform: translateY(10px);
}

.menu-toggle:after {
    transform: translateY(25px);
}

.menu {
    display: none;
}

.menu.open {
    display: block;
}

.menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.menu li {
    padding: 10px 0;
}

.menu a {
    color: #fff;
    text-decoration: none;
}

.menu a:hover{
    font-weight: 400;
}


/* ============ MAIN ============= */


#container-foto-perfil{
    width: 290px;
    height: 300px;
    margin-bottom: 30px;
    margin: auto;

}

#foto-perfil{
    width: 290px;

}

#descricao-sobre{
    margin: 40px;
    font-weight: 300;
    line-height: 20px;
    text-align: justify;
}

.container-descricao{
    margin: 0;
    width: 400;
}

/* ============ FOOTER ============= */

footer{
    text-align: center;
    font-size: 13px;
    font-weight: 200;
    margin: 50px;
}

@media screen and (min-width: 768px) and (max-width: 1200px) {

    .sobre{
        display: flex;
        align-self: center;
        width: 900px;
        margin: auto;
    }
    main{
        display: flex;
        align-self: center;
    }

    p{
        padding-left: 20px;
    }
    
    #foto-perfil{
        width: 350px;
    }
    
    #descricao-sobre{
        font-weight: 300;
        width: 350px;
        max-width: 500px;
        height: 300px;
    }
    #formulario-idioma{
        left: 85%;
    }
}

@media screen and (min-width: 1200px) and (max-width: 1600px) {

    .sobre{
        display: flex;
        align-self: center;
        width: 950px;
        margin: auto;
    }

    main{
        display: flex;
        align-self: center;
    }

    header{
        padding: 40px;
    }

    #container-foto-perfil{
        width: 400px;
        margin-bottom: 100px;
    } 

    #foto-perfil{
        width: 400px;
    }

    .container-descricao{
        width: 500px;
        margin: auto;
    }
    
    #descricao-sobre{
        font-weight: 300;
        width: 500px;   
    }

    #formulario-idioma{
        left: 90%;
      }
}

@media screen and (min-width: 1600px){

    *{
        font-size: 22px;
    }

    .sobre{
        display: flex;
        align-self: center;
        width: 1250px;
        margin: auto;
        padding-bottom: 200px;
    }

    main{
        display: flex;
        align-self: center;  
    }

    p{
        font-size: 22px;
        line-height: 100px;
    }

    header{
        padding: 40px;
    }

    #container-foto-perfil{
        width: 500px;
        
    } 

    #foto-perfil{
        width: 500px;
    }

    .container-descricao{
        width: 600px;
        margin: auto;
    }
    
    #descricao-sobre{
        font-weight: 300;
        width: 600px;
        margin: auto;  
    }

    #formulario-idioma{
        left: 90%;
    }
}

